de.esprit.appsuite.database.dbo

## Class DBO_tnt_pk_composed

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.database.dbase.DBObject
      - - de.esprit.appsuite.database.dbo.DBO_tnt_pk_composed

- All Implemented Interfaces:
    DBPersistent, DBRecord, Renderable, DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable

      public class DBO_tnt_pk_composed
      extends DBObject

  DBObject for table tnt_pk_composed in database espritdb.
  Auto-generated by EspritAppSuite version 9.7 at 2014-02-18 16:11:15.
  Extracted from RDBMS system: Apache Derby, 10.4.1.3 - (648739)
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DBO_SUBCLASS_VERSION`
    `static DBColumnKey` | `IS_BOOLEAN`
    `static DBColumnKey` | `IS_BOOLEAN_VAL`
    `static DBColumnKey` | `IS_BOOLSTR`
    `static DBColumnKey` | `IS_BOOLSTR_VAL`
    `static DBColumnKey` | `PK_CHAR`
    `static DBColumnKey` | `PK_DATE`
    `static DBColumnKey` | `PK_DEC`
    `static DBColumnKey` | `PK_FLOAT`
    `static DBColumnKey` | `PK_INT`
    `static DBColumnKey` | `PK_TIME`
    `static DBColumnKey` | `PK_TS`
    `static DBColumnKey` | `PK_VCHAR`
    `static DBColumnKey` | `VAL_CHAR`
    `static DBColumnKey` | `VAL_DATE`
    `static DBColumnKey` | `VAL_DEC`
    `static DBColumnKey` | `VAL_FLOAT`
    `static DBColumnKey` | `VAL_INT`
    `static DBColumnKey` | `VAL_TIME`
    `static DBColumnKey` | `VAL_TS`
    `static DBColumnKey` | `VAL_VCHAR`

    - ### Fields inherited from class de.esprit.appsuite.database.dbase.DBObject

      `BOOLEAN_CHAR, DBO_PREFIX, FALSE_STR, TRUE_STR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DBO_tnt_pk_composed()`
    `DBO_tnt_pk_composed(java.lang.String... primaryKeys)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DBColumnKey[]` | `attributeColumns()`
    `DBO_tnt_pk_composed` | `clone()`
    `static int` | `countRecords()`
    `static int` | `countRecords(SqlCondition cond)`
    `static void` | `createForeignKeyConstraints()`
    `protected DBRecord` | `createInstance()`
    `protected DBRecord` | `createInstance(java.lang.String... primaryKey)`
    `static void` | `createTable()`
    `static int` | `delete(SqlCondition condition)`
    `static void` | `dropTable()`
    `static boolean` | `existsTable()`
    `java.lang.String` | `get$IsBoolean()` Returns the Primary key value
    `boolean` | `get$IsBooleanVal()`
    `java.lang.String` | `get$IsBoolstr()` Returns the Primary key value
    `boolean` | `get$IsBoolstrVal()`
    `java.lang.String` | `get$PkChar()` Returns the Primary key value
    `java.lang.String` | `get$PkDate()` Returns the Primary key value
    `java.lang.String` | `get$PkDec()` Returns the Primary key value
    `java.lang.String` | `get$PkFloat()` Returns the Primary key value
    `java.lang.String` | `get$PkInt()` Returns the Primary key value
    `int` | `get$PkIntAsInt()` Returns the primary key value as int
    `java.lang.String` | `get$PkTime()` Returns the Primary key value
    `java.lang.String` | `get$PkTs()` Returns the Primary key value
    `java.lang.String` | `get$PkVchar()` Returns the Primary key value
    `java.lang.String` | `get$ValChar()`
    `java.sql.Date` | `get$ValDate()`
    `double` | `get$ValDec()`
    `double` | `get$ValFloat()`
    `int` | `get$ValInt()`
    `java.sql.Time` | `get$ValTime()`
    `java.sql.Timestamp` | `get$ValTs()`
    `java.lang.String` | `get$ValVchar()`
    `DBColumnKey[]` | `getAttributeColumns()` Returns the attribute column definitions from the concrete subclass
    `static DBO_tnt_pk_composed` | `getMaster()`
    `DBRecord` | `getMasterRecord()`
    `DBColumnKey[]` | `getPrimaryKeyColumns()` Returns the primary key column definition from the concrete subclass
    `java.lang.String` | `getTableName()` Returns the name of the underlying database table
    `java.lang.String` | `getTranslationAppKey()` Returns the main translation key for this record.
    `static void` | `load(DBLoadMonitor monitor)`
    `static void` | `load(DBLoadMonitor monitor, SqlCondition condition)`
    `static void` | `load(DBLoadMonitor monitor, SqlCondition condition, SqlOrder order)`
    `static void` | `load(DBLoadMonitor monitor, SqlOrder order)`
    `static DBColumnKey[]` | `primaryKeyColumns()`
    `protected void` | `readAttributes(DBObject obj, int readIdx, java.sql.ResultSet rs)`
    `protected void` | `readPrimaryKeys(DBObject obj, int readIdx, java.sql.ResultSet rs)`
    `static DBO_tnt_pk_composed[]` | `select()`
    `static DBO_tnt_pk_composed[]` | `select(SqlCondition condition)`
    `static DBO_tnt_pk_composed[]` | `select(SqlCondition condition, SqlOrder order)`
    `static DBO_tnt_pk_composed[]` | `select(SqlOrder order)`
    `void` | `set$IsBoolean(java.lang.String value)` Sets the Primary key value
    `void` | `set$IsBooleanVal(boolean value)`
    `void` | `set$IsBoolstr(java.lang.String value)` Sets the Primary key value
    `void` | `set$IsBoolstrVal(boolean value)`
    `void` | `set$PkChar(java.lang.String value)` Sets the Primary key value
    `void` | `set$PkDate(java.lang.String value)` Sets the Primary key value
    `void` | `set$PkDec(java.lang.String value)` Sets the Primary key value
    `void` | `set$PkFloat(java.lang.String value)` Sets the Primary key value
    `void` | `set$PkInt(int value)` Sets the primary key value as int
    `void` | `set$PkInt(java.lang.String value)` Sets the Primary key value
    `void` | `set$PkTime(java.lang.String value)` Sets the Primary key value
    `void` | `set$PkTs(java.lang.String value)` Sets the Primary key value
    `void` | `set$PkVchar(java.lang.String value)` Sets the Primary key value
    `void` | `set$ValChar(java.lang.String value)`
    `void` | `set$ValDate(java.sql.Date value)`
    `void` | `set$ValDec(double value)`
    `void` | `set$ValFloat(double value)`
    `void` | `set$ValInt(int value)`
    `void` | `set$ValTime(java.sql.Time value)`
    `void` | `set$ValTs(java.sql.Timestamp value)`
    `void` | `set$ValVchar(java.lang.String value)`
    `static java.lang.String` | `tableName()`
    `protected void` | `writeAttributes(int writeIdx, java.sql.PreparedStatement ps, DumpString ds)`
    `protected void` | `writePrimaryKeys(int writeIdx, java.sql.PreparedStatement ps, DumpString ds)`

    - ### Methods inherited from class de.esprit.appsuite.database.dbase.DBObject

      `addRecordChangeListener, addSqlListener, begin, begin, checkSubclassVersion, clearAttributes, clearPrimaryKey, clearStatementCache, clearValues, close, close, commit, compareTo, connect, connect, connect, convertArray, copyRecordValues, createDumpHeader, createInstance, createInstance, dbCountRecords, dbCountRecords, dbCreateForeignKeyConstraints, dbCreateTable, dbDelete, dbDelete, dbDropTable, dbExists, dbExistsTable, dbForceInsert, dbForceUpdate, dbGetBlob, dbGetBoolean, dbGetBooleanFromChar, dbGetClob, dbGetDate, dbGetDouble, dbGetFloat, dbGetInt, dbGetLong, dbGetString, dbGetTime, dbGetTimestamp, dbInsert, dbLoad, dbLoad, dbLoad, dbLoad, dbRehash, dbSearch, dbSearch, dbSearch, dbSearch, dbSelect, dbSelect, dbSelect, dbSelect, dbSetBlob, dbSetBlob, dbSetBoolean, dbSetBooleanAsChar, dbSetClob, dbSetClob, dbSetDate, dbSetDouble, dbSetFloat, dbSetInt, dbSetLong, dbSetPersistentId, dbSetPersistentName, dbSetPK, dbSetString, dbSetTime, dbSetTimestamp, dbUpdate, dumpStatementCache, equalAttributes, equalPrimaryKeys, equals, executeQuery, executeSQL, exists, existsField, forceInsert, forceUpdate, getAllColumns, getAttributeCount, getAttributeFullNames, getAttributeNames, getAttributeValues, getDataSource, getDecimalRoundingDigits, getDecimalRoundingMode, getErrorLogger, getFieldByIndex, getFieldByName, getFieldCount, getFieldDefinition, getFieldFullNames, getFieldIcon, getFieldLength, getFieldNames, getForeignKeyGroup, getForeignKeyGroups, getForeignKeyRef, getIndexOf, getInsertFactory, getJavaType, getJdbcType, getManagedDBObjects, getMasterRecord, getPrimaryKeyCount, getPrimaryKeyFactory, getPrimaryKeyFullNames, getPrimaryKeyNames, getPrimaryKeyOrder, getPrimaryKeyValues, getRdbmsInfo, getRdbmsSupport, getRecordName, getRenderColor, getRenderIcon, getRenderText, getSchema, getValue, getValue, getValues, getVersion, hasConnection, hashCode, hasPrimaryKey, invalidate, isDecimalRounding, isDirty, isFieldNumeric, isFieldVirtual, isForeignKey, isNotNullField, isPrimaryKey, isPrimaryKeyValid, isPrimaryKeyValid, isReadPrimaryKeyOnly, isSilent, isStoreZeroAsNull, isTrimStringsOnRead, isTrimStringsOnWrite, readObject, readObject, removeRecordChangeListener, removeSqlListener, rollback, roundValue, roundValue, setDataSource, setDecimalRounding, setErrorLogger, setFieldValue, setFieldValue, setInsertFactory, setPrimaryKeyFactory, setPrimaryKeyValues, setReadPrimaryKeyOnly, setSchema, setSilent, setStoreZeroAsNull, setTrimStringsOnRead, setTrimStringsOnWrite, toDumpString, toKey, toKey, toObject, toObject, toObject, toObject, toObject, toObject, toString`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.common.type.DeepCloneable

      `deepClone`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toString`

- - ### Field Detail

    - #### DBO_SUBCLASS_VERSION

          public static final java.lang.String DBO_SUBCLASS_VERSION

      See Also:
        Constant Field Values

    - #### PK_INT

          public static final DBColumnKey PK_INT

    - #### PK_DEC

          public static final DBColumnKey PK_DEC

    - #### PK_FLOAT

          public static final DBColumnKey PK_FLOAT

    - #### PK_CHAR

          public static final DBColumnKey PK_CHAR

    - #### PK_VCHAR

          public static final DBColumnKey PK_VCHAR

    - #### PK_DATE

          public static final DBColumnKey PK_DATE

    - #### PK_TIME

          public static final DBColumnKey PK_TIME

    - #### PK_TS

          public static final DBColumnKey PK_TS

    - #### IS_BOOLSTR

          public static final DBColumnKey IS_BOOLSTR

    - #### IS_BOOLEAN

          public static final DBColumnKey IS_BOOLEAN

    - #### VAL_INT

          public static final DBColumnKey VAL_INT

    - #### VAL_DEC

          public static final DBColumnKey VAL_DEC

    - #### VAL_FLOAT

          public static final DBColumnKey VAL_FLOAT

    - #### VAL_CHAR

          public static final DBColumnKey VAL_CHAR

    - #### VAL_VCHAR

          public static final DBColumnKey VAL_VCHAR

    - #### VAL_DATE

          public static final DBColumnKey VAL_DATE

    - #### VAL_TIME

          public static final DBColumnKey VAL_TIME

    - #### VAL_TS

          public static final DBColumnKey VAL_TS

    - #### IS_BOOLSTR_VAL

          public static final DBColumnKey IS_BOOLSTR_VAL

    - #### IS_BOOLEAN_VAL

          public static final DBColumnKey IS_BOOLEAN_VAL

  - ### Constructor Detail

    - #### DBO_tnt_pk_composed

          public DBO_tnt_pk_composed()

    - #### DBO_tnt_pk_composed

          public DBO_tnt_pk_composed(java.lang.String... primaryKeys)
                              throws java.sql.SQLException,
                                     RecordNotFoundException,
                                     InvalidPrimaryKeyException

      Throws:
        `java.sql.SQLException`
        `RecordNotFoundException`
        `InvalidPrimaryKeyException`

  - ### Method Detail

    - #### tableName

          public static java.lang.String tableName()

    - #### primaryKeyColumns

          public static DBColumnKey[] primaryKeyColumns()

    - #### attributeColumns

          public static DBColumnKey[] attributeColumns()

    - #### getMaster

          public static DBO_tnt_pk_composed getMaster()

    - #### get$PkInt

          public java.lang.String get$PkInt()

      Returns the Primary key value

    - #### get$PkIntAsInt

          public int get$PkIntAsInt()

      Returns the primary key value as int

    - #### get$PkDec

          public java.lang.String get$PkDec()

      Returns the Primary key value

    - #### get$PkFloat

          public java.lang.String get$PkFloat()

      Returns the Primary key value

    - #### get$PkChar

          public java.lang.String get$PkChar()

      Returns the Primary key value

    - #### get$PkVchar

          public java.lang.String get$PkVchar()

      Returns the Primary key value

    - #### get$PkDate

          public java.lang.String get$PkDate()

      Returns the Primary key value

    - #### get$PkTime

          public java.lang.String get$PkTime()

      Returns the Primary key value

    - #### get$PkTs

          public java.lang.String get$PkTs()

      Returns the Primary key value

    - #### get$IsBoolstr

          public java.lang.String get$IsBoolstr()

      Returns the Primary key value

    - #### get$IsBoolean

          public java.lang.String get$IsBoolean()

      Returns the Primary key value

    - #### get$ValInt

          public int get$ValInt()

    - #### get$ValDec

          public double get$ValDec()

    - #### get$ValFloat

          public double get$ValFloat()

    - #### get$ValChar

          public java.lang.String get$ValChar()

    - #### get$ValVchar

          public java.lang.String get$ValVchar()

    - #### get$ValDate

          public java.sql.Date get$ValDate()

    - #### get$ValTime

          public java.sql.Time get$ValTime()

    - #### get$ValTs

          public java.sql.Timestamp get$ValTs()

    - #### get$IsBoolstrVal

          public boolean get$IsBoolstrVal()

    - #### get$IsBooleanVal

          public boolean get$IsBooleanVal()

    - #### set$PkInt

          public void set$PkInt(java.lang.String value)

      Sets the Primary key value

    - #### set$PkInt

          public void set$PkInt(int value)

      Sets the primary key value as int

    - #### set$PkDec

          public void set$PkDec(java.lang.String value)

      Sets the Primary key value

    - #### set$PkFloat

          public void set$PkFloat(java.lang.String value)

      Sets the Primary key value

    - #### set$PkChar

          public void set$PkChar(java.lang.String value)

      Sets the Primary key value

    - #### set$PkVchar

          public void set$PkVchar(java.lang.String value)

      Sets the Primary key value

    - #### set$PkDate

          public void set$PkDate(java.lang.String value)

      Sets the Primary key value

    - #### set$PkTime

          public void set$PkTime(java.lang.String value)

      Sets the Primary key value

    - #### set$PkTs

          public void set$PkTs(java.lang.String value)

      Sets the Primary key value

    - #### set$IsBoolstr

          public void set$IsBoolstr(java.lang.String value)

      Sets the Primary key value

    - #### set$IsBoolean

          public void set$IsBoolean(java.lang.String value)

      Sets the Primary key value

    - #### set$ValInt

          public void set$ValInt(int value)

    - #### set$ValDec

          public void set$ValDec(double value)

    - #### set$ValFloat

          public void set$ValFloat(double value)

    - #### set$ValChar

          public void set$ValChar(java.lang.String value)

    - #### set$ValVchar

          public void set$ValVchar(java.lang.String value)

    - #### set$ValDate

          public void set$ValDate(java.sql.Date value)

    - #### set$ValTime

          public void set$ValTime(java.sql.Time value)

    - #### set$ValTs

          public void set$ValTs(java.sql.Timestamp value)

    - #### set$IsBoolstrVal

          public void set$IsBoolstrVal(boolean value)

    - #### set$IsBooleanVal

          public void set$IsBooleanVal(boolean value)

    - #### createInstance

          protected DBRecord createInstance()

      Specified by:
        `createInstance` in class `DBObject`

    - #### createInstance

          protected DBRecord createInstance(java.lang.String... primaryKey)
                                     throws java.sql.SQLException,
                                            RecordNotFoundException,
                                            InvalidPrimaryKeyException

      Specified by:
        `createInstance` in class `DBObject`
      Throws:
        `java.sql.SQLException`
        `RecordNotFoundException`
        `InvalidPrimaryKeyException`

    - #### readPrimaryKeys

          protected void readPrimaryKeys(DBObject obj,
                             int readIdx,
                             java.sql.ResultSet rs)
                                  throws java.sql.SQLException

      Specified by:
        `readPrimaryKeys` in class `DBObject`
      Throws:
        `java.sql.SQLException`

    - #### readAttributes

          protected void readAttributes(DBObject obj,
                            int readIdx,
                            java.sql.ResultSet rs)
                                 throws java.sql.SQLException

      Specified by:
        `readAttributes` in class `DBObject`
      Throws:
        `java.sql.SQLException`

    - #### writePrimaryKeys

          protected void writePrimaryKeys(int writeIdx,
                              java.sql.PreparedStatement ps,
                              DumpString ds)
                                   throws java.sql.SQLException

      Specified by:
        `writePrimaryKeys` in class `DBObject`
      Throws:
        `java.sql.SQLException`

    - #### writeAttributes

          protected void writeAttributes(int writeIdx,
                             java.sql.PreparedStatement ps,
                             DumpString ds)
                                  throws java.sql.SQLException

      Specified by:
        `writeAttributes` in class `DBObject`
      Throws:
        `java.sql.SQLException`

    - #### getPrimaryKeyColumns

          public DBColumnKey[] getPrimaryKeyColumns()

      Description copied from class: `DBObject`
      Returns the primary key column definition from the concrete subclass
      Specified by:
        `getPrimaryKeyColumns` in class `DBObject`
      See Also:
        `DBObject.getPrimaryKeyNames()`, `DBObject.getPrimaryKeyFullNames()`, `DBObject.getPrimaryKeyValues()`

    - #### getAttributeColumns

          public DBColumnKey[] getAttributeColumns()

      Description copied from class: `DBObject`
      Returns the attribute column definitions from the concrete subclass
      Specified by:
        `getAttributeColumns` in class `DBObject`
      See Also:
        `DBObject.getAttributeNames()`, `DBObject.getAttributeFullNames()`, `DBObject.getAttributeValues()`

    - #### getMasterRecord

          public DBRecord getMasterRecord()

      Specified by:
        `getMasterRecord` in interface `DBRecord`
      Specified by:
        `getMasterRecord` in class `DBObject`
      Returns:
        The cached master instance

    - #### getTableName

          public java.lang.String getTableName()

      Description copied from class: `DBObject`
      Returns the name of the underlying database table
      Specified by:
        `getTableName` in class `DBObject`

    - #### getTranslationAppKey

          public java.lang.String getTranslationAppKey()

      Description copied from interface: `DBRecord`
      Returns the main translation key for this record. This key is used as a prefix for all translations of this record.

    - #### clone

          public DBO_tnt_pk_composed clone()

      Overrides:
        `clone` in class `DBObject`

    - #### select

          public static DBO_tnt_pk_composed[] select()
                                              throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### select

          public static DBO_tnt_pk_composed[] select(SqlCondition condition)
                                              throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### select

          public static DBO_tnt_pk_composed[] select(SqlOrder order)
                                              throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### select

          public static DBO_tnt_pk_composed[] select(SqlCondition condition,
                                     SqlOrder order)
                                              throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### load

          public static void load(DBLoadMonitor monitor)
                           throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### load

          public static void load(DBLoadMonitor monitor,
                  SqlOrder order)
                           throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### load

          public static void load(DBLoadMonitor monitor,
                  SqlCondition condition)
                           throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### load

          public static void load(DBLoadMonitor monitor,
                  SqlCondition condition,
                  SqlOrder order)
                           throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### delete

          public static int delete(SqlCondition condition)
                            throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### existsTable

          public static boolean existsTable()

    - #### createTable

          public static void createTable()
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### dropTable

          public static void dropTable()
                                throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### countRecords

          public static int countRecords()
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### countRecords

          public static int countRecords(SqlCondition cond)
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### createForeignKeyConstraints

          public static void createForeignKeyConstraints()
                                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.